<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>
        <!-- API User for Orders -->
        <record id="api_user_orders" model="res.users">
            <field name="name">Orders API User</field>
            <field name="login">orders_api</field>
            <field name="password">orders_api_pass</field>
            <field name="groups_id" eval="[(4, ref('fastapi.group_fastapi_endpoint_runner')), (4, ref('base.group_user')), (4, ref('orders.group_orders_manager')), (4, ref('companies.group_company_manager'))]"/>
        </record>

        <!-- FastAPI Endpoint for Orders -->
        <record id="fastapi_endpoint_orders" model="fastapi.endpoint">
            <field name="name">Orders API</field>
            <field name="app">orders</field>
            <field name="root_path">/fastapi/orders</field>
            <field name="user_id" ref="api_user_orders"/>
            <field name="active">True</field>
        </record>
    </data>
</odoo>